#!/bin/bash

set -euo pipefail

# shellcheck disable=SC2046
docker run --rm --init \
    --name "squirro-service-genai" \
    --network "host" \
    --publish 20045:20045 \
    --volume /etc/squirro/common.ini:/etc/squirro/common.ini:ro \
    --volume /etc/ssl/certs/ca-bundle.trust.crt:/etc/ssl/certs/ca-bundle.trust.crt:ro \
    "mirror.squirro.net/squirro/service/genai:19b20e4f3"
